## com.ibm.lab.soln.sqleditor
Class SQLEditorSourceViewerConfiguration

    java.lang.Object
      |
      +--org.eclipse.jface.text.source.SourceViewerConfiguration
            |
            +--com.ibm.lab.soln.sqleditor.SQLEditorSourceViewerConfiguration

public class SQLEditorSourceViewerConfiguration
extends org.eclipse.jface.text.source.SourceViewerConfiguration

This class defines the editor add-ons; content assist, content formatter, highlighting, auto-indent strategy, double click strategy.

Constructor Summary
`SQLEditorSourceViewerConfiguration()`

Method Summary
`org.eclipse.jface.text.contentassist.IContentAssistant` | `getContentAssistant(org.eclipse.jface.text.source.ISourceViewer sourceViewer)`
`org.eclipse.jface.text.formatter.IContentFormatter` | `getContentFormatter(org.eclipse.jface.text.source.ISourceViewer sourceViewer)` Configure the content formatter with two formatting strategies
`org.eclipse.jface.text.ITextDoubleClickStrategy` | `getDoubleClickStrategy(org.eclipse.jface.text.source.ISourceViewer sourceViewer, java.lang.String contentType)` Configure the double click strategy here.
`org.eclipse.jface.text.presentation.IPresentationReconciler` | `getPresentationReconciler(org.eclipse.jface.text.source.ISourceViewer sourceViewer)` Configure a presentation reconciler for syntax highlighting

Methods inherited from class org.eclipse.jface.text.source.SourceViewerConfiguration
`getAnnotationHover, getAutoIndentStrategy, getConfiguredContentTypes, getDefaultPrefixes, getIndentPrefixes, getInformationControlCreator, getInformationPresenter, getReconciler, getTabWidth, getTextHover, getUndoManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLEditorSourceViewerConfiguration

    public SQLEditorSourceViewerConfiguration()

Method Detail

### getContentAssistant

    public org.eclipse.jface.text.contentassist.IContentAssistant getContentAssistant(org.eclipse.jface.text.source.ISourceViewer sourceViewer)

  Overrides:
    `getContentAssistant` in class `org.eclipse.jface.text.source.SourceViewerConfiguration`
  See Also:
    `SourceViewerConfiguration.getContentAssistant(ISourceViewer)`

### getContentFormatter

    public org.eclipse.jface.text.formatter.IContentFormatter getContentFormatter(org.eclipse.jface.text.source.ISourceViewer sourceViewer)

  Configure the content formatter with two formatting strategies
  Overrides:
    `getContentFormatter` in class `org.eclipse.jface.text.source.SourceViewerConfiguration`
  See Also:
    `SourceViewerConfiguration.getContentFormatter(ISourceViewer)`

### getDoubleClickStrategy

    public org.eclipse.jface.text.ITextDoubleClickStrategy getDoubleClickStrategy(org.eclipse.jface.text.source.ISourceViewer sourceViewer,
                                                                                  java.lang.String contentType)

  Configure the double click strategy here.
  Overrides:
    `getDoubleClickStrategy` in class `org.eclipse.jface.text.source.SourceViewerConfiguration`
  See Also:
    `SourceViewerConfiguration.getDoubleClickStrategy(ISourceViewer, String)`

### getPresentationReconciler

    public org.eclipse.jface.text.presentation.IPresentationReconciler getPresentationReconciler(org.eclipse.jface.text.source.ISourceViewer sourceViewer)

  Configure a presentation reconciler for syntax highlighting
  Overrides:
    `getPresentationReconciler` in class `org.eclipse.jface.text.source.SourceViewerConfiguration`
  See Also:
    `SourceViewerConfiguration.getPresentationReconciler(ISourceViewer)`